' ***************************************************************************************************
' SSMS Scripter
' A plugin for SQL Server 2005 Management Studio that allows you to script stored procedures,
' user-defined functions, and views in the SQL 2000 Enterprise Manager
' style: if exists, drop; create. 
'
' Developed by Mark Gilbert (http://www.mark-gilbert.com).
'
' This software is license under the Microsoft Public License (Ms-PL).  For full
' license details, please see 
' http://www.microsoft.com/resources/sharedsource/licensingbasics/publiclicense.mspx.
' ***************************************************************************************************

Public Class Common

    ' *******************************************************************************************
    ' Function:     FindDropDownValue
    ' Author:       Mark Gilbert
    ' Date:         11/27/2006
    ' Parameters:   ddlCurrent - the drop down list to walk through
    '               intValue - the item key that we're looking for.
    ' Description:  This returns the index of the matching item (by item value) in the list if
    '               found.  If a matching item is not found, it returns -1.
    ' *******************************************************************************************
    Public Shared Function FindDropDownValue(ByVal ddlCurrent As System.Windows.Forms.ComboBox, _
                                        ByVal intValue As Integer) As Integer
        Dim i As Integer

        For i = 0 To ddlCurrent.Items.Count - 1
            If (CType(ddlCurrent.Items.Item(i), ListStuff).Value = intValue) Then Return i
        Next

        Return -1
    End Function
End Class
