' ***************************************************************************************************
' SSMS Scripter
' A plugin for SQL Server 2005 Management Studio that allows you to script stored procedures,
' user-defined functions, and views in the SQL 2000 Enterprise Manager
' style: if exists, drop; create. 
'
' Developed by Mark Gilbert (http://www.mark-gilbert.com).
'
' This software is license under the Microsoft Public License (Ms-PL).  For full
' license details, please see 
' http://www.microsoft.com/resources/sharedsource/licensingbasics/publiclicense.mspx.
' ***************************************************************************************************

Public Class ListStuff
    Private m_intValue As Integer
    Private m_strText As String


    ' *******************************************************************************************
    ' Method:       New
    ' Author:       Mark Gilbert
    ' Date:         11/27/2006
    ' Project:      SSMS Scripter
    ' Description:  This constructor forces the calling code to provide the Value and Text info
    '               up front.
    ' *******************************************************************************************
    Public Sub New(ByVal intValue As Integer, ByVal strText As String)
        Me.m_intValue = intValue
        Me.m_strText = strText
    End Sub

    ' *******************************************************************************************
    ' Property:     Value
    ' Author:       Mark Gilbert
    ' Date:         11/27/2006
    ' Parameters:   {none}
    ' Description:  This exposes the m_intValue private variable, which stores the key for the
    '               current list item.
    ' *******************************************************************************************
    Public ReadOnly Property Value() As Integer
        Get
            Return m_intValue
        End Get
    End Property


    ' *******************************************************************************************
    ' Property:     Text
    ' Author:       Mark Gilbert
    ' Date:         11/27/2006
    ' Parameters:   {none}
    ' Description:  This exposes the m_strText private variable, which stores the display text
    '               for the current list item.
    ' *******************************************************************************************
    Public ReadOnly Property Text() As String
        Get
            Return Me.m_strText
        End Get
    End Property


    ' *******************************************************************************************
    ' Method:       ToString
    ' Author:       Mark Gilbert
    ' Date:         11/27/2006
    ' Parameters:   {none}
    ' Description:  This returns the m_strText value, and overrides the general ToString function.
    ' *******************************************************************************************
    Public Overrides Function ToString() As String
        Return Me.m_strText
    End Function

End Class
