' ***************************************************************************************************
' SSMS Scripter
' A plugin for SQL Server 2005 Management Studio that allows you to script stored procedures,
' user-defined functions, and views in the SQL 2000 Enterprise Manager
' style: if exists, drop; create. 
'
' Developed by Mark Gilbert (http://www.mark-gilbert.com).
'
' This software is license under the Microsoft Public License (Ms-PL).  For full
' license details, please see 
' http://www.microsoft.com/resources/sharedsource/licensingbasics/publiclicense.mspx.
' ***************************************************************************************************
Public Class ScriptPreview

    ' *******************************************************************************************
    ' Method:       New
    ' Author:       Mark Gilbert
    ' Date:         12/8/2006
    ' Parameters:   strScripts - the scripts to show in the preview pane
    ' Description:  This sets the form up with the scripts to preview.
    ' *******************************************************************************************
    Public Sub New(ByVal strScripts As String)
        InitializeComponent()
        Me.txtScript.Text = strScripts
    End Sub


    ' *******************************************************************************************
    ' Method:       btnOK_Click
    ' Author:       Mark Gilbert
    ' Date:         12/8/2006
    ' Parameters:   {the usual}
    ' Description:  This simply closes the form.
    ' *******************************************************************************************
    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        Me.Close()
    End Sub



    ' *******************************************************************************************
    ' Method:       txtScript_KeyPress
    ' Author:       Mark Gilbert
    ' Date:         12/9/2006
    ' Parameters:   {the usual}
    ' Description:  This handler looks for the key combination of CTRL-A, and if it's found will
    '               select all of the text in the preview window.
    ' *******************************************************************************************
    Private Sub txtScript_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtScript.KeyPress
        ' The character "1" is the CTRL-A combination
        If e.KeyChar = Convert.ToChar(1) Then
            Me.txtScript.SelectAll()
            e.Handled = True
        End If
    End Sub
End Class